## org.metaabm
Interface SImplemented

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, IID, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  FImplementedLibrary, SAgent, SContext, SStyle, SStyle2D, SStyle3D, SStyleShape

All Known Implementing Classes:
  FImplementedLibraryImpl, SAgentImpl, SContextImpl, SImplementedImpl, SStyle2DImpl, SStyle3DImpl, SStyleImpl, SStyleShapeImpl

    public interface SImplemented

extends IID

A representation of the model object ' SImplemented'.

Author:
  Miles Parker

  The following features are supported:

  - `Implementation`
  - `Parent`
See Also:
  `MetaABMPackage.getSImplemented()`

Method Summary
`SImplementation` `getImplementation()` Returns the value of the 'Implementation' containment reference.
`SImplemented` `getParent()` Returns the value of the 'Parent' reference.
`void` `setImplementation(SImplementation value)` Sets the value of the '`Implementation`' containment reference.

Methods inherited from interface org.metaabm.IID
`getID, getLabel, setID, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getImplementation

    SImplementation getImplementation()

  Returns the value of the 'Implementation' containment reference. It is bidirectional and its opposite is '`Target`'.

  If the meaning of the 'Implementation' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Implementation' containment reference.
  See Also:
    `setImplementation(SImplementation)`, `MetaABMPackage.getSImplemented_Implementation()`, `SImplementation.getTarget()`

### setImplementation

    void setImplementation(SImplementation value)

  Sets the value of the '`Implementation`' containment reference.

  Parameters:
    `value` - the new value of the 'Implementation' containment reference.
  See Also:
    `getImplementation()`

### getParent

    SImplemented getParent()

  Returns the value of the 'Parent' reference.

  If the meaning of the 'Parent' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Parent' reference.
  See Also:
    `MetaABMPackage.getSImplemented_Parent()`